sub check_inhib
#----------------------------------------------------------------------
# Check to see if checking of any kind is to be inhibited now for this instance
#----------------------------------------------------------------------
# Changes:
#   03Mar05 bb - Added code to not check for inhibit for test modd
#----------------------------------------------------------------------
{
  ($h) = @_;

  #---- OLD - nowdate=2011/11/26 nowhour=10 nowday=Sat
  # chop($nowdate = `date +%Y/%m/%d`);
  # chop($nowhour = `date +%H`);
  # chop($nowday  = `date +%a`);
  # print "DEBUG_OLD - check_inhib - nowdate=$nowdate nowhour=$nowhour nowday=$nowday\n";

  #---- NEW - nowdate=2011/11/26 nowhour=10 nowday=Sat
  $nowdate = substr(&getdate,0,10); 
  $nowhour = substr(&getdate,11,2); 
  $nowday  = substr((localtime ()), 0, 3);
  ## print "DEBUG_NEW - check_inhib - nowdate=$nowdate nowhour=$nowhour nowday=$nowday\n";

  ##print "DEBUG - $title[$h] inhibdir/inhibfile: $inhibdir/$inhibfile[$h]\n";

  #---- If this is test mode, return
  if ($mode eq "test")
  {
    return;
  }

  #
  # Check for .dbc inhibit by hours of the day specified
  #

  if ($mon_hours[$h] ne "")
  {
    ##print mon_hours[$h] nowhour
    if (index($mon_hours[$h],$nowhour) == -1)
    {
      &event("I",$thishost,"DBAmon checking inhibited Hour=$nowhour Monitor_Hours=$mon_hours[$h]","InhibHour","DBA301");
      return "Y";
    }
  }

  if ($mon_days[$h] ne "")
  {
    ##print mon_days[$h] nowday
    if (index($mon_days[$h],$nowday) == -1)
    {
      &event("I",$thishost,"DBAmon checking inhibited Day=$nowday Monitor_Days=$mon_days[$h]","InhibDay","DBA301");
      return "Y";
    }
  }

  if ($mon_excl[$h] ne "")
  {
    $dayhour = $nowday . "-" . $nowhour;
    ##print mon_excl[$h] " " dayhour
    if (index($mon_excl[$h],$dayhour) > -1)
    {
      &event("I",$thishost,"DBAmon checking inhibited DayHour=$dayhour Monitor_Excl=$mon_excl[$h]","InhibExcl","DBA301");
      return "Y";
    }
  }

  #
  # Check for a string inhibit entry
  #

  #0--- Old
  #chop($string_inhibit = `grep 'Date=$nowdate Hour=$nowhour' $inhibdir/HOST_STRING | awk '{ print \$3 }'`);
  #print "$titleraw[$h] si=$string_inhibit\n";
  #if ($string_inhibit && index($hostname[$h],"$string_inhibit") > -1)
  #{
  #  &event("I",$thishost,"HOST_STRING=$string_inhibit - DBAmon checking inhibited Date=$nowdate Hour=$nowhour","InhibHOST_STRING","DBA301");
  #  return "Y";
  #}

  #---- New
  if (-e "$inhibdir/HOST_STRING") 
  {
    @inhibit_strings = `grep 'Date=$nowdate Hour=$nowhour' $inhibdir/HOST_STRING | awk '{ print \$3 }'`;
    $found_string = 0;
    foreach $string_inhibit (@inhibit_strings)
    { 
      chop($string_inhibit); 
      $zindex = index($hostname[$h],"$string_inhibit");
      ##print "$titleraw[$h] hn=$hostname[$h] si=$string_inhibit zindex=$zindex fs=$found_string\n";
      $found_string = 1 if $zindex > -1;
    }
    if ($found_string)
    {
      &event("I",$thishost,"HOST_STRING=$string_inhibit - DBAmon checking inhibited Date=$nowdate Hour=$nowhour","InhibHOST_STRING","DBA301");
      return "Y";
    }
  }

  #
  # Check for all dbamon monitoring inhibited
  #

  if (system("grep 'Date=$nowdate Hour=$nowhour' $inhibdir/ALL > $tmpfl1 2>&1") == 0)
  {
    &event("I",$thishost,"ALL - DBAmon checking inhibited Date=$nowdate Hour=$nowhour","InhibALL","DBA301",$tmpfl1);
    return "Y";
  }

  #
  # Check SERVER-INSTANCE inhibit file
  #

  ##print "$title[$h] $inhibdir/$inhibfile[$h] \n";
  #perf# if (system("ls -l $inhibdir/$inhibfile[$h] > /dev/null 2>&1") == 0)
  if (-e "$inhibdir/$inhibfile[$h]")
  {
    if (system("grep 'Date=$nowdate Hour=$nowhour' $inhibdir/$inhibfile[$h] > $tmpfl1 2>&1") == 0)
    {
      &event("I",$thishost,"This Server_Instance - DBAmon checking inhibited Date=$nowdate Hour=$nowhour","InhibSrvrInst","DBA301",$tmpfl1);
      return "Y";
    }
  }

  #
  # Check SERVER inhibit file
  #

  if (-e "$inhibdir/$fqhostname[$h]")
  {
    if (system("grep 'Date=$nowdate Hour=$nowhour' $inhibdir/$fqhostname[$h] > $tmpfl1 2>&1") == 0)
    {
      &event("I",$thishost,"This Server - DBAmon checking inhibited Date=$nowdate Hour=$nowhour","InhibSrvr","DBA301",$tmpfl1);
      return "Y";
    }
  }

  return "N";
}

#-------------------------------------------------------------------------------
1;
